// ChangeMailApp.cpp

#include "ChangeMailApp.h"

int main() {
	ChangeMailApp myApp;
	myApp.Run();
	return(0);
}

ChangeMailApp::ChangeMailApp() 
	: BApplication( "application/x-vnd.CSH-ChangeMail" ) {	
	cur_pop_account = new mail_pop_account;
	get_pop_account( cur_pop_account );
}

void ChangeMailApp::ArgvReceived( int32 argc, char** args ) {
	if( argc == 4 ) {
		new_pop_account = new mail_pop_account;
		strcpy( new_pop_account->pop_host, args[1] );
		strcpy( new_pop_account->pop_name, args[2] );
		strcpy( new_pop_account->pop_password, args[3] );
		args_good = true;
	}
	else {
		args_good = false;
		cout << "Usage: % ChangeMail <hostname> <username> <password>" << endl;
	}
}

void ChangeMailApp::ReadyToRun() {
	if( args_good ) {
		ChangeServerInfo();
		CheckMail();
		ChangeServerBack();
	}
	be_app->PostMessage( B_QUIT_REQUESTED );
	
}

void ChangeMailApp::ChangeServerInfo() {
	set_pop_account( new_pop_account );
}

void ChangeMailApp::CheckMail() {
	check_for_mail();
}

void ChangeMailApp::ChangeServerBack() {
	set_pop_account( cur_pop_account );
	check_for_mail();
}